#ifndef PLAYER_H
#define PLAYER_H

#include "common.h"
#include "factory_objects.h"

extern void Player_Init(void);
extern void Player_ReInit(void);
extern int  Player_GetHealth(void);
extern void Player_SetHealth(int health);
extern void Player_IncCoin(void);
extern void Player_IncDiamond(void);
extern void Player_IncGear(void);
extern void Player_ToggleVisibilityHudQuestion(void);
extern void Player_Update(void);
extern void Player_DrawHUD(SDL_Renderer *renderer);
extern void Player_BindCheckpoint(actor_checkpoint_t *actor_checkpoint);
extern void Player_BindRobo(actor_robo_t *actor_robo);
extern void Player_UnbindRobo(bool in_teleport);
extern void Player_Quit(void);

#endif
